#!/usr/bin/env python
# -*- coding: utf-8 -*-

''' Classes and modules for the administrative backend. '''

from django.contrib import admin
from django.contrib.auth import get_user_model
from django.contrib.auth.admin import UserAdmin
from lostplaces.models import *

from lostplaces.forms import ExplorerCreationForm, ExplorerChangeForm

# Register your models here.

class VoucherAdmin(admin.ModelAdmin):
    fields = ['code', 'expires_when', 'created_when']
    readonly_fields = ['created_when']

admin.site.register(Explorer)
admin.site.register(Voucher, VoucherAdmin)
admin.site.register(Place)
admin.site.register(PlaceImage)
admin.site.register(PhotoAlbum)
